@import "avenir_lt";
@import "variables";

#statistics {
  height: 100vh;

  .chart-container {
    width: 100vw;
		position: absolute;
		top: calc(50% - 300px);
		margin-top: 50px;
  }

	.action-container {
		display: flex;
		flex-wrap: wrap;
	}

	.loader {
		position: absolute;
		top: 24px;
		padding: 20px;
		z-index: 9999;
		width: 100vw;
		display: flex;
		justify-content: center;
	}
}

.btn-group {
	margin: 20px 20px;
}

.chart-actions {
	position: absolute;
	top: 0;
	right: 0;
	margin: 20px;
	z-index: 9999;
}

a.btn {
	display: inline-block;
	padding: 16px;
	margin: 2px 0;
	background: $yellow;
	color: white !important;
	box-shadow: 2px 2px 0 0 darken($yellow, 4);

	&:hover {
		background: darken($yellow, 2);
		box-shadow: 2px 2px 0 0 darken($yellow, 6);
	}

	&.active {
		background: $green;
		box-shadow: 2px 2px 0 0 darken($green, 4);
	}

	.text {
		display: block;
	}

	.symbol {
		display: none;
	}
}

a.btn-back {
	position: absolute;
	top: 0;
	left: 0;
	margin: 20px;
	z-index: 9999;
}

.btn.temperature {
	background: #f15c80;
	box-shadow: 2px 2px 0 0 darken(#f15c80, 4);

	&:hover {
		background: darken(#f15c80, 2);
		box-shadow: 2px 2px 0 0 darken(#f15c80, 6);
	}

	&.disabled {
		background: #deb1bc;
		box-shadow: 2px 2px 0 0 darken(#deb1bc, 4);
	}
}

.btn.humidity {
	background: #7cb5ec;
	box-shadow: 2px 2px 0 0 darken(#7cb5ec, 4);

	&:hover {
		background: darken(#7cb5ec, 2);
		box-shadow: 2px 2px 0 0 darken(#7cb5ec, 6);
	}

	&.disabled {
		background: #c4d4e2;
		box-shadow: 2px 2px 0 0 darken(#c4d4e2, 4);
	}

}

.btn.pressure {
	background: #91e8e1;
	box-shadow: 2px 2px 0 0 darken(#91e8e1, 4);

	&:hover {
		background: darken(#91e8e1, 2);
		box-shadow: 2px 2px 0 0 darken(#91e8e1, 6);
	}

	&.disabled {
	 background: #cce4e2;
	 box-shadow: 2px 2px 0 0 darken(#cce4e2, 4);
 }
}


@media (max-width: 535px) {
	.custom-legend {
		position: fixed;
		bottom: 0;
		left: 0;
		right: 0;
		margin: 0;
		display: flex;

		.btn {
			width: calc(100% / 3);
			margin: 0;
			text-align: center;
			padding: 15px;

			.text {
				display: none;
			}

			.symbol {
				display: block;
			}

			.icon {
				height: 33px;
			}
		}
	}

	.time-range-actions {
		.btn {
			padding: 11px;

			&[data-timerange='custom'] span {
				display: none;
			}
		}
	}
}
